# Uses of Interface
javax.xml.stream.events.StartDocument

Packages that use StartDocument
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).

- ## Uses of StartDocument in javax.xml.stream

  Methods in javax.xml.stream that return StartDocument
  Modifier and Type
  Method
  Description
  `abstract StartDocument`
  XMLEventFactory.`createStartDocument()`
  Creates a new instance of a StartDocument event
  `abstract StartDocument`
  XMLEventFactory.`createStartDocument(String encoding)`
  Creates a new instance of a StartDocument event
  `abstract StartDocument`
  XMLEventFactory.`createStartDocument(String encoding, String version)`
  Creates a new instance of a StartDocument event
  `abstract StartDocument`
  XMLEventFactory.`createStartDocument(String encoding, String version, boolean standalone)`
  Creates a new instance of a StartDocument event